package com.kcim.service;

import com.kcim.dao.model.ShareParamCost;
import com.kcim.dao.model.ShareParamCostDetail;

import java.util.List;

/**
 * @program: CostAccount
 * @description: 项目成本分摊设置接口
 * @author: Wang.YS
 * @create: 2024-01-22 15:43
 **/
public interface ItemCostShareService {
    Object getList(String filter);

    void add(ShareParamCost request);

    void update(ShareParamCost request);

    void delete(Integer id);

    void addDetail(List<ShareParamCostDetail> request);

    void updateDetail(List<ShareParamCostDetail> request);

    void deleteDetail(Integer id);

    Object itemReportType();

    Object getMedServiceItemType();
}
